Show / Hide Table of Contents

# Struct GuildInfo

Represents information for a guild.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public struct GuildInfo

### Properties

| Improve this Doc View Source

#### AfkChannelId

Gets the ID of the AFK voice channel for this guild.

##### Declaration

    public ulong? AfkChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt64> | A System.UInt64 representing the snowflake identifier of the AFK voice channel; `null` if none is set.

| Improve this Doc View Source

#### AfkTimeout

Gets the amount of time (in seconds) a user must be inactive in a voice channel for until they are automatically moved to the AFK voice channel.

##### Declaration

    public int? AfkTimeout { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the amount of time in seconds for a user to be marked as inactive and moved into the AFK voice channel. `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### DefaultMessageNotifications

Gets the default message notifications for users who haven't explicitly set their notification settings.

##### Declaration

    public DefaultMessageNotifications? DefaultMessageNotifications { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<DefaultMessageNotifications> | The default message notifications setting of this guild. `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### EmbedChannelId

Gets the ID of the widget embed channel of this guild.

##### Declaration

    public ulong? EmbedChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt64> | A System.UInt64 representing the snowflake identifier of the embedded channel found within the widget settings of this guild; `null` if none is set.

| Improve this Doc View Source

#### ExplicitContentFilter

Gets the level of content filtering applied to user's content in a Guild.

##### Declaration

    public ExplicitContentFilterLevel? ExplicitContentFilter { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ExplicitContentFilterLevel> | The level of explicit content filtering.

| Improve this Doc View Source

#### IconHash

Gets the ID of this guild's icon.

##### Declaration

    public string IconHash { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the identifier for the splash image; `null` if none is set.

| Improve this Doc View Source

#### IsEmbeddable

Gets a value that indicates whether this guild is embeddable (i.e. can use widget).

##### Declaration

    public bool? IsEmbeddable { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> | `true` if this guild can be embedded via widgets; otherwise `false`. `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### MfaLevel

Gets the level of Multi-Factor Authentication requirements a user must fulfill before being allowed to perform administrative actions in this guild.

##### Declaration

    public MfaLevel? MfaLevel { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<MfaLevel> | The level of MFA requirement. `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### Name

Gets the name of this guild.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of this guild.

| Improve this Doc View Source

#### Owner

Gets the owner of this guild.

##### Declaration

    public IUser Owner { get; }

##### Property Value

Type | Description
--- | ---
IUser | A user object representing the owner of this guild.

| Improve this Doc View Source

#### RegionId

Gets the ID of the region hosting this guild's voice channels.

##### Declaration

    public string RegionId { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SystemChannelId

Gets the ID of the channel where system messages are sent.

##### Declaration

    public ulong? SystemChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt64> | A System.UInt64 representing the snowflake identifier of the channel where system messages are sent; `null` if none is set.

| Improve this Doc View Source

#### VerificationLevel

Gets the level of requirements a user must fulfill before being allowed to post messages in this guild.

##### Declaration

    public VerificationLevel? VerificationLevel { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<VerificationLevel> | The level of requirements. `null` if this is not mentioned in this entry.